import{s as $i,n as Ti,o as yi}from"../chunks/scheduler.b108d059.js";import{S as xi,i as _i,g as o,s as r,r as n,A as Ci,h as a,f as l,c as s,j as u,u as p,x as d,k as c,y as Hi,a as i,v as f,d as m,t as b,w as h}from"../chunks/index.008de539.js";import{H as v,E as Li}from"../chunks/EditOnGithub.d1c48e3d.js";function wi(Pl){let $,Oe,De,Be,T,qe,y,Ie,x,El="Core utility functions/classes for Transformers.js.",ze,_,Rl=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,Ne,C,jl='<li><a href="#module_utils/core">utils/core</a><ul><li><em>static</em><ul><li><a href="#module_utils/core.Callable"><code>.Callable</code></a> : <code>*</code></li> <li><a href="#module_utils/core.reverseDictionary"><code>.reverseDictionary(data)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.escapeRegExp"><code>.escapeRegExp(string)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/core.isTypedArray"><code>.isTypedArray(val)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isIntegralNumber"><code>.isIntegralNumber(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.exists"><code>.exists(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.calculateDimensions"><code>.calculateDimensions(arr)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/core.pop"><code>.pop(obj, key, defaultValue)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/core.mergeArrays"><code>.mergeArrays(arrs)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.calculateReflectOffset"><code>.calculateReflectOffset(i, w)</code></a> ⇒ <code>number</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/core..Callable">~Callable</a><ul><li><a href="#new_module_utils/core..Callable_new"><code>new Callable()</code></a></li> <li><a href="#module_utils/core..Callable+_call"><code>._call(...args)</code></a></li></ul></li></ul></li></ul></li>',Ue,Se,Ve,H,Ge,L,Fe,w,kl="A base class for creating callable objects.",Je,M,Dl='<strong>Kind</strong>: static constant of <a href="#module_utils/core"><code>utils/core</code></a>',Qe,We,Xe,g,Ye,A,Ze,P,Kl="Reverses the keys and values of an object.",et,E,Ol='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The reversed object.<br/> <strong>See</strong>: <a href="https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript" rel="nofollow">https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript</a>',tt,R,Bl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Object</code></td><td><p>The object to reverse.</p></td></tr></tbody>",lt,it,rt,j,st,k,ot,D,ql="Escapes regular expression special characters from a string by replacing them with their escaped counterparts.",at,K,Il='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>string</code> - The escaped string.',dt,O,zl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code></td><td><p>The string to escape.</p></td></tr></tbody>",ct,ut,nt,B,pt,q,ft,I,Nl="Check if a value is a typed array.",mt,z,Ul='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a <code>TypedArray</code>, false otherwise.',bt,N,Sl='Adapted from <a href="https://stackoverflow.com/a/71091338/13989043" rel="nofollow">https://stackoverflow.com/a/71091338/13989043</a>',ht,U,Vl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>val</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",vt,$t,Tt,S,yt,V,xt,G,Gl="Check if a value is an integer.",_t,F,Fl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',Ct,J,Jl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Ht,Lt,wt,Q,Mt,W,gt,X,Ql="Check if a value is exists.",At,Y,Wl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value exists, false otherwise.',Pt,Z,Xl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Et,Rt,jt,ee,kt,te,Dt,le,Yl="Calculates the dimensions of a nested array.",Kt,ie,Zl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - An array containing the dimensions of the input array.',Ot,re,ei="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;any&gt;</code></td><td><p>The nested array to calculate dimensions for.</p></td></tr></tbody>",Bt,qt,It,se,zt,oe,Nt,ae,ti="Replicate python’s .pop() method for objects.",Ut,de,li='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>*</code> - The value of the popped key.<br/> <strong>Throws</strong>:',St,ce,ii="<li><code>Error</code> If the key does not exist and no default value is provided.</li>",Vt,ue,ri="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>obj</td><td><code>Object</code></td><td><p>The object to pop from.</p></td> </tr><tr><td>key</td><td><code>string</code></td><td><p>The key to pop.</p></td> </tr><tr><td>defaultValue</td><td><code>*</code></td><td><p>The default value to return if the key does not exist.</p></td></tr></tbody>",Gt,Ft,Jt,ne,Qt,pe,Wt,fe,si=`Efficiently merge arrays, creating a new copy.
Adapted from <a href="https://stackoverflow.com/a/6768642/13989043" rel="nofollow">https://stackoverflow.com/a/6768642/13989043</a>`,Xt,me,oi='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The merged array.',Yt,be,ai="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arrs</td><td><code>Array.&lt;Array&gt;</code></td><td><p>Arrays to merge.</p></td></tr></tbody>",Zt,el,tl,he,ll,ve,il,$e,di="Calculates the index offset for a given index and window size.",rl,Te,ci='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The index offset.',sl,ye,ui="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>i</td><td><code>number</code></td><td><p>The index.</p></td> </tr><tr><td>w</td><td><code>number</code></td><td><p>The window size.</p></td></tr></tbody>",ol,al,dl,xe,cl,_e,ul,Ce,ni='<strong>Kind</strong>: inner class of <a href="#module_utils/core"><code>utils/core</code></a>',nl,He,pi='<li><a href="#module_utils/core..Callable">~Callable</a><ul><li><a href="#new_module_utils/core..Callable_new"><code>new Callable()</code></a></li> <li><a href="#module_utils/core..Callable+_call"><code>._call(...args)</code></a></li></ul></li>',pl,fl,ml,Le,bl,we,hl,Me,fi="Creates a new instance of the Callable class.",vl,$l,Tl,ge,yl,Ae,xl,Pe,mi=`This method should be implemented in subclasses to provide the
functionality of the callable object.`,_l,Ee,bi='<strong>Kind</strong>: instance method of <a href="#module_utils/core..Callable"><code>Callable</code></a><br/> <strong>Throws</strong>:',Cl,Re,hi="<li><code>Error</code> If the subclass does not implement the `_call` method.</li>",Hl,je,vi="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>...args</td><td><code>Array.&lt;any&gt;</code></td></tr></tbody>",Ll,wl,Ml,ke,gl,Ke,Al;return y=new v({props:{title:"utils/core",local:"utilscore",headingTag:"h1"}}),L=new v({props:{title:"utils/core.Callable : <code> * </code>",local:"utilscorecallable--code--code",headingTag:"h2"}}),A=new v({props:{title:"utils/core.reverseDictionary(data) ⇒ <code> Object </code>",local:"utilscorereversedictionarydata--code-object-code",headingTag:"h2"}}),k=new v({props:{title:"utils/core.escapeRegExp(string) ⇒ <code> string </code>",local:"utilscoreescaperegexpstring--code-string-code",headingTag:"h2"}}),q=new v({props:{title:"utils/core.isTypedArray(val) ⇒ <code> boolean </code>",local:"utilscoreistypedarrayval--code-boolean-code",headingTag:"h2"}}),V=new v({props:{title:"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>",local:"utilscoreisintegralnumberx--code-boolean-code",headingTag:"h2"}}),W=new v({props:{title:"utils/core.exists(x) ⇒ <code> boolean </code>",local:"utilscoreexistsx--code-boolean-code",headingTag:"h2"}}),te=new v({props:{title:"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>",local:"utilscorecalculatedimensionsarr--code-array--number--code",headingTag:"h2"}}),oe=new v({props:{title:"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>",local:"utilscorepopobj-key-defaultvalue--code--code",headingTag:"h2"}}),pe=new v({props:{title:"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>",local:"utilscoremergearraysarrs--code-array-code",headingTag:"h2"}}),ve=new v({props:{title:"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>",local:"utilscorecalculatereflectoffseti-w--code-number-code",headingTag:"h2"}}),_e=new v({props:{title:"utils/core~Callable",local:"utilscorecallable",headingTag:"h2"}}),we=new v({props:{title:"new Callable()",local:"new-callable",headingTag:"h3"}}),Ae=new v({props:{title:"callable._call(...args)",local:"callablecallargs",headingTag:"h3"}}),ke=new Li({props:{source:"https://github.com/xenova/transformers.js/blob/v2.17.2/docs/source/api/utils/core.md"}}),{c(){$=o("meta"),Oe=r(),De=o("p"),Be=r(),T=o("a"),qe=r(),n(y.$$.fragment),Ie=r(),x=o("p"),x.textContent=El,ze=r(),_=o("p"),_.textContent=Rl,Ne=r(),C=o("ul"),C.innerHTML=jl,Ue=r(),Se=o("hr"),Ve=r(),H=o("a"),Ge=r(),n(L.$$.fragment),Fe=r(),w=o("p"),w.textContent=kl,Je=r(),M=o("p"),M.innerHTML=Dl,Qe=r(),We=o("hr"),Xe=r(),g=o("a"),Ye=r(),n(A.$$.fragment),Ze=r(),P=o("p"),P.textContent=Kl,et=r(),E=o("p"),E.innerHTML=Ol,tt=r(),R=o("table"),R.innerHTML=Bl,lt=r(),it=o("hr"),rt=r(),j=o("a"),st=r(),n(k.$$.fragment),ot=r(),D=o("p"),D.textContent=ql,at=r(),K=o("p"),K.innerHTML=Il,dt=r(),O=o("table"),O.innerHTML=zl,ct=r(),ut=o("hr"),nt=r(),B=o("a"),pt=r(),n(q.$$.fragment),ft=r(),I=o("p"),I.textContent=Nl,mt=r(),z=o("p"),z.innerHTML=Ul,bt=r(),N=o("p"),N.innerHTML=Sl,ht=r(),U=o("table"),U.innerHTML=Vl,vt=r(),$t=o("hr"),Tt=r(),S=o("a"),yt=r(),n(V.$$.fragment),xt=r(),G=o("p"),G.textContent=Gl,_t=r(),F=o("p"),F.innerHTML=Fl,Ct=r(),J=o("table"),J.innerHTML=Jl,Ht=r(),Lt=o("hr"),wt=r(),Q=o("a"),Mt=r(),n(W.$$.fragment),gt=r(),X=o("p"),X.textContent=Ql,At=r(),Y=o("p"),Y.innerHTML=Wl,Pt=r(),Z=o("table"),Z.innerHTML=Xl,Et=r(),Rt=o("hr"),jt=r(),ee=o("a"),kt=r(),n(te.$$.fragment),Dt=r(),le=o("p"),le.textContent=Yl,Kt=r(),ie=o("p"),ie.innerHTML=Zl,Ot=r(),re=o("table"),re.innerHTML=ei,Bt=r(),qt=o("hr"),It=r(),se=o("a"),zt=r(),n(oe.$$.fragment),Nt=r(),ae=o("p"),ae.textContent=ti,Ut=r(),de=o("p"),de.innerHTML=li,St=r(),ce=o("ul"),ce.innerHTML=ii,Vt=r(),ue=o("table"),ue.innerHTML=ri,Gt=r(),Ft=o("hr"),Jt=r(),ne=o("a"),Qt=r(),n(pe.$$.fragment),Wt=r(),fe=o("p"),fe.innerHTML=si,Xt=r(),me=o("p"),me.innerHTML=oi,Yt=r(),be=o("table"),be.innerHTML=ai,Zt=r(),el=o("hr"),tl=r(),he=o("a"),ll=r(),n(ve.$$.fragment),il=r(),$e=o("p"),$e.textContent=di,rl=r(),Te=o("p"),Te.innerHTML=ci,sl=r(),ye=o("table"),ye.innerHTML=ui,ol=r(),al=o("hr"),dl=r(),xe=o("a"),cl=r(),n(_e.$$.fragment),ul=r(),Ce=o("p"),Ce.innerHTML=ni,nl=r(),He=o("ul"),He.innerHTML=pi,pl=r(),fl=o("hr"),ml=r(),Le=o("a"),bl=r(),n(we.$$.fragment),hl=r(),Me=o("p"),Me.textContent=fi,vl=r(),$l=o("hr"),Tl=r(),ge=o("a"),yl=r(),n(Ae.$$.fragment),xl=r(),Pe=o("p"),Pe.textContent=mi,_l=r(),Ee=o("p"),Ee.innerHTML=bi,Cl=r(),Re=o("ul"),Re.innerHTML=hi,Hl=r(),je=o("table"),je.innerHTML=vi,Ll=r(),wl=o("hr"),Ml=r(),n(ke.$$.fragment),gl=r(),Ke=o("p"),this.h()},l(e){const t=Ci("svelte-u9bgzb",document.head);$=a(t,"META",{name:!0,content:!0}),t.forEach(l),Oe=s(e),De=a(e,"P",{}),u(De).forEach(l),Be=s(e),T=a(e,"A",{id:!0,class:!0}),u(T).forEach(l),qe=s(e),p(y.$$.fragment,e),Ie=s(e),x=a(e,"P",{"data-svelte-h":!0}),d(x)!=="svelte-u71mwf"&&(x.textContent=El),ze=s(e),_=a(e,"P",{"data-svelte-h":!0}),d(_)!=="svelte-1r3ntfo"&&(_.textContent=Rl),Ne=s(e),C=a(e,"UL",{"data-svelte-h":!0}),d(C)!=="svelte-1q2c4q1"&&(C.innerHTML=jl),Ue=s(e),Se=a(e,"HR",{}),Ve=s(e),H=a(e,"A",{id:!0,class:!0}),u(H).forEach(l),Ge=s(e),p(L.$$.fragment,e),Fe=s(e),w=a(e,"P",{"data-svelte-h":!0}),d(w)!=="svelte-1u9qjt4"&&(w.textContent=kl),Je=s(e),M=a(e,"P",{"data-svelte-h":!0}),d(M)!=="svelte-1vaez1e"&&(M.innerHTML=Dl),Qe=s(e),We=a(e,"HR",{}),Xe=s(e),g=a(e,"A",{id:!0,class:!0}),u(g).forEach(l),Ye=s(e),p(A.$$.fragment,e),Ze=s(e),P=a(e,"P",{"data-svelte-h":!0}),d(P)!=="svelte-dvlmk2"&&(P.textContent=Kl),et=s(e),E=a(e,"P",{"data-svelte-h":!0}),d(E)!=="svelte-14f6o7p"&&(E.innerHTML=Ol),tt=s(e),R=a(e,"TABLE",{"data-svelte-h":!0}),d(R)!=="svelte-8if77n"&&(R.innerHTML=Bl),lt=s(e),it=a(e,"HR",{}),rt=s(e),j=a(e,"A",{id:!0,class:!0}),u(j).forEach(l),st=s(e),p(k.$$.fragment,e),ot=s(e),D=a(e,"P",{"data-svelte-h":!0}),d(D)!=="svelte-14ro5y0"&&(D.textContent=ql),at=s(e),K=a(e,"P",{"data-svelte-h":!0}),d(K)!=="svelte-nstyrr"&&(K.innerHTML=Il),dt=s(e),O=a(e,"TABLE",{"data-svelte-h":!0}),d(O)!=="svelte-1h5d263"&&(O.innerHTML=zl),ct=s(e),ut=a(e,"HR",{}),nt=s(e),B=a(e,"A",{id:!0,class:!0}),u(B).forEach(l),pt=s(e),p(q.$$.fragment,e),ft=s(e),I=a(e,"P",{"data-svelte-h":!0}),d(I)!=="svelte-1oclrgb"&&(I.textContent=Nl),mt=s(e),z=a(e,"P",{"data-svelte-h":!0}),d(z)!=="svelte-1uuf78s"&&(z.innerHTML=Ul),bt=s(e),N=a(e,"P",{"data-svelte-h":!0}),d(N)!=="svelte-pr567i"&&(N.innerHTML=Sl),ht=s(e),U=a(e,"TABLE",{"data-svelte-h":!0}),d(U)!=="svelte-cdg32t"&&(U.innerHTML=Vl),vt=s(e),$t=a(e,"HR",{}),Tt=s(e),S=a(e,"A",{id:!0,class:!0}),u(S).forEach(l),yt=s(e),p(V.$$.fragment,e),xt=s(e),G=a(e,"P",{"data-svelte-h":!0}),d(G)!=="svelte-1ityjuy"&&(G.textContent=Gl),_t=s(e),F=a(e,"P",{"data-svelte-h":!0}),d(F)!=="svelte-1n9m385"&&(F.innerHTML=Fl),Ct=s(e),J=a(e,"TABLE",{"data-svelte-h":!0}),d(J)!=="svelte-6n2d7i"&&(J.innerHTML=Jl),Ht=s(e),Lt=a(e,"HR",{}),wt=s(e),Q=a(e,"A",{id:!0,class:!0}),u(Q).forEach(l),Mt=s(e),p(W.$$.fragment,e),gt=s(e),X=a(e,"P",{"data-svelte-h":!0}),d(X)!=="svelte-1l2mf7d"&&(X.textContent=Ql),At=s(e),Y=a(e,"P",{"data-svelte-h":!0}),d(Y)!=="svelte-1s16qo7"&&(Y.innerHTML=Wl),Pt=s(e),Z=a(e,"TABLE",{"data-svelte-h":!0}),d(Z)!=="svelte-6n2d7i"&&(Z.innerHTML=Xl),Et=s(e),Rt=a(e,"HR",{}),jt=s(e),ee=a(e,"A",{id:!0,class:!0}),u(ee).forEach(l),kt=s(e),p(te.$$.fragment,e),Dt=s(e),le=a(e,"P",{"data-svelte-h":!0}),d(le)!=="svelte-1p78ixx"&&(le.textContent=Yl),Kt=s(e),ie=a(e,"P",{"data-svelte-h":!0}),d(ie)!=="svelte-15dw4oc"&&(ie.innerHTML=Zl),Ot=s(e),re=a(e,"TABLE",{"data-svelte-h":!0}),d(re)!=="svelte-1bdqiim"&&(re.innerHTML=ei),Bt=s(e),qt=a(e,"HR",{}),It=s(e),se=a(e,"A",{id:!0,class:!0}),u(se).forEach(l),zt=s(e),p(oe.$$.fragment,e),Nt=s(e),ae=a(e,"P",{"data-svelte-h":!0}),d(ae)!=="svelte-1m1a0x7"&&(ae.textContent=ti),Ut=s(e),de=a(e,"P",{"data-svelte-h":!0}),d(de)!=="svelte-1dwq64m"&&(de.innerHTML=li),St=s(e),ce=a(e,"UL",{"data-svelte-h":!0}),d(ce)!=="svelte-n4a723"&&(ce.innerHTML=ii),Vt=s(e),ue=a(e,"TABLE",{"data-svelte-h":!0}),d(ue)!=="svelte-j5xxk1"&&(ue.innerHTML=ri),Gt=s(e),Ft=a(e,"HR",{}),Jt=s(e),ne=a(e,"A",{id:!0,class:!0}),u(ne).forEach(l),Qt=s(e),p(pe.$$.fragment,e),Wt=s(e),fe=a(e,"P",{"data-svelte-h":!0}),d(fe)!=="svelte-kvbp1p"&&(fe.innerHTML=si),Xt=s(e),me=a(e,"P",{"data-svelte-h":!0}),d(me)!=="svelte-1ydcymw"&&(me.innerHTML=oi),Yt=s(e),be=a(e,"TABLE",{"data-svelte-h":!0}),d(be)!=="svelte-stz7tp"&&(be.innerHTML=ai),Zt=s(e),el=a(e,"HR",{}),tl=s(e),he=a(e,"A",{id:!0,class:!0}),u(he).forEach(l),ll=s(e),p(ve.$$.fragment,e),il=s(e),$e=a(e,"P",{"data-svelte-h":!0}),d($e)!=="svelte-1m1ncmy"&&($e.textContent=di),rl=s(e),Te=a(e,"P",{"data-svelte-h":!0}),d(Te)!=="svelte-vsw9ui"&&(Te.innerHTML=ci),sl=s(e),ye=a(e,"TABLE",{"data-svelte-h":!0}),d(ye)!=="svelte-xzg366"&&(ye.innerHTML=ui),ol=s(e),al=a(e,"HR",{}),dl=s(e),xe=a(e,"A",{id:!0,class:!0}),u(xe).forEach(l),cl=s(e),p(_e.$$.fragment,e),ul=s(e),Ce=a(e,"P",{"data-svelte-h":!0}),d(Ce)!=="svelte-15n5joc"&&(Ce.innerHTML=ni),nl=s(e),He=a(e,"UL",{"data-svelte-h":!0}),d(He)!=="svelte-thd9hc"&&(He.innerHTML=pi),pl=s(e),fl=a(e,"HR",{}),ml=s(e),Le=a(e,"A",{id:!0,class:!0}),u(Le).forEach(l),bl=s(e),p(we.$$.fragment,e),hl=s(e),Me=a(e,"P",{"data-svelte-h":!0}),d(Me)!=="svelte-hu496d"&&(Me.textContent=fi),vl=s(e),$l=a(e,"HR",{}),Tl=s(e),ge=a(e,"A",{id:!0,class:!0}),u(ge).forEach(l),yl=s(e),p(Ae.$$.fragment,e),xl=s(e),Pe=a(e,"P",{"data-svelte-h":!0}),d(Pe)!=="svelte-8c74gj"&&(Pe.textContent=mi),_l=s(e),Ee=a(e,"P",{"data-svelte-h":!0}),d(Ee)!=="svelte-161nsqx"&&(Ee.innerHTML=bi),Cl=s(e),Re=a(e,"UL",{"data-svelte-h":!0}),d(Re)!=="svelte-7c1v8c"&&(Re.innerHTML=hi),Hl=s(e),je=a(e,"TABLE",{"data-svelte-h":!0}),d(je)!=="svelte-1v34kj"&&(je.innerHTML=vi),Ll=s(e),wl=a(e,"HR",{}),Ml=s(e),p(ke.$$.fragment,e),gl=s(e),Ke=a(e,"P",{}),u(Ke).forEach(l),this.h()},h(){c($,"name","hf:doc:metadata"),c($,"content",Mi),c(T,"id","module_utils/core"),c(T,"class","group"),c(H,"id","module_utils/core.Callable"),c(H,"class","group"),c(g,"id","module_utils/core.reverseDictionary"),c(g,"class","group"),c(j,"id","module_utils/core.escapeRegExp"),c(j,"class","group"),c(B,"id","module_utils/core.isTypedArray"),c(B,"class","group"),c(S,"id","module_utils/core.isIntegralNumber"),c(S,"class","group"),c(Q,"id","module_utils/core.exists"),c(Q,"class","group"),c(ee,"id","module_utils/core.calculateDimensions"),c(ee,"class","group"),c(se,"id","module_utils/core.pop"),c(se,"class","group"),c(ne,"id","module_utils/core.mergeArrays"),c(ne,"class","group"),c(he,"id","module_utils/core.calculateReflectOffset"),c(he,"class","group"),c(xe,"id","module_utils/core..Callable"),c(xe,"class","group"),c(Le,"id","new_module_utils/core..Callable_new"),c(Le,"class","group"),c(ge,"id","module_utils/core..Callable+_call"),c(ge,"class","group")},m(e,t){Hi(document.head,$),i(e,Oe,t),i(e,De,t),i(e,Be,t),i(e,T,t),i(e,qe,t),f(y,e,t),i(e,Ie,t),i(e,x,t),i(e,ze,t),i(e,_,t),i(e,Ne,t),i(e,C,t),i(e,Ue,t),i(e,Se,t),i(e,Ve,t),i(e,H,t),i(e,Ge,t),f(L,e,t),i(e,Fe,t),i(e,w,t),i(e,Je,t),i(e,M,t),i(e,Qe,t),i(e,We,t),i(e,Xe,t),i(e,g,t),i(e,Ye,t),f(A,e,t),i(e,Ze,t),i(e,P,t),i(e,et,t),i(e,E,t),i(e,tt,t),i(e,R,t),i(e,lt,t),i(e,it,t),i(e,rt,t),i(e,j,t),i(e,st,t),f(k,e,t),i(e,ot,t),i(e,D,t),i(e,at,t),i(e,K,t),i(e,dt,t),i(e,O,t),i(e,ct,t),i(e,ut,t),i(e,nt,t),i(e,B,t),i(e,pt,t),f(q,e,t),i(e,ft,t),i(e,I,t),i(e,mt,t),i(e,z,t),i(e,bt,t),i(e,N,t),i(e,ht,t),i(e,U,t),i(e,vt,t),i(e,$t,t),i(e,Tt,t),i(e,S,t),i(e,yt,t),f(V,e,t),i(e,xt,t),i(e,G,t),i(e,_t,t),i(e,F,t),i(e,Ct,t),i(e,J,t),i(e,Ht,t),i(e,Lt,t),i(e,wt,t),i(e,Q,t),i(e,Mt,t),f(W,e,t),i(e,gt,t),i(e,X,t),i(e,At,t),i(e,Y,t),i(e,Pt,t),i(e,Z,t),i(e,Et,t),i(e,Rt,t),i(e,jt,t),i(e,ee,t),i(e,kt,t),f(te,e,t),i(e,Dt,t),i(e,le,t),i(e,Kt,t),i(e,ie,t),i(e,Ot,t),i(e,re,t),i(e,Bt,t),i(e,qt,t),i(e,It,t),i(e,se,t),i(e,zt,t),f(oe,e,t),i(e,Nt,t),i(e,ae,t),i(e,Ut,t),i(e,de,t),i(e,St,t),i(e,ce,t),i(e,Vt,t),i(e,ue,t),i(e,Gt,t),i(e,Ft,t),i(e,Jt,t),i(e,ne,t),i(e,Qt,t),f(pe,e,t),i(e,Wt,t),i(e,fe,t),i(e,Xt,t),i(e,me,t),i(e,Yt,t),i(e,be,t),i(e,Zt,t),i(e,el,t),i(e,tl,t),i(e,he,t),i(e,ll,t),f(ve,e,t),i(e,il,t),i(e,$e,t),i(e,rl,t),i(e,Te,t),i(e,sl,t),i(e,ye,t),i(e,ol,t),i(e,al,t),i(e,dl,t),i(e,xe,t),i(e,cl,t),f(_e,e,t),i(e,ul,t),i(e,Ce,t),i(e,nl,t),i(e,He,t),i(e,pl,t),i(e,fl,t),i(e,ml,t),i(e,Le,t),i(e,bl,t),f(we,e,t),i(e,hl,t),i(e,Me,t),i(e,vl,t),i(e,$l,t),i(e,Tl,t),i(e,ge,t),i(e,yl,t),f(Ae,e,t),i(e,xl,t),i(e,Pe,t),i(e,_l,t),i(e,Ee,t),i(e,Cl,t),i(e,Re,t),i(e,Hl,t),i(e,je,t),i(e,Ll,t),i(e,wl,t),i(e,Ml,t),f(ke,e,t),i(e,gl,t),i(e,Ke,t),Al=!0},p:Ti,i(e){Al||(m(y.$$.fragment,e),m(L.$$.fragment,e),m(A.$$.fragment,e),m(k.$$.fragment,e),m(q.$$.fragment,e),m(V.$$.fragment,e),m(W.$$.fragment,e),m(te.$$.fragment,e),m(oe.$$.fragment,e),m(pe.$$.fragment,e),m(ve.$$.fragment,e),m(_e.$$.fragment,e),m(we.$$.fragment,e),m(Ae.$$.fragment,e),m(ke.$$.fragment,e),Al=!0)},o(e){b(y.$$.fragment,e),b(L.$$.fragment,e),b(A.$$.fragment,e),b(k.$$.fragment,e),b(q.$$.fragment,e),b(V.$$.fragment,e),b(W.$$.fragment,e),b(te.$$.fragment,e),b(oe.$$.fragment,e),b(pe.$$.fragment,e),b(ve.$$.fragment,e),b(_e.$$.fragment,e),b(we.$$.fragment,e),b(Ae.$$.fragment,e),b(ke.$$.fragment,e),Al=!1},d(e){e&&(l(Oe),l(De),l(Be),l(T),l(qe),l(Ie),l(x),l(ze),l(_),l(Ne),l(C),l(Ue),l(Se),l(Ve),l(H),l(Ge),l(Fe),l(w),l(Je),l(M),l(Qe),l(We),l(Xe),l(g),l(Ye),l(Ze),l(P),l(et),l(E),l(tt),l(R),l(lt),l(it),l(rt),l(j),l(st),l(ot),l(D),l(at),l(K),l(dt),l(O),l(ct),l(ut),l(nt),l(B),l(pt),l(ft),l(I),l(mt),l(z),l(bt),l(N),l(ht),l(U),l(vt),l($t),l(Tt),l(S),l(yt),l(xt),l(G),l(_t),l(F),l(Ct),l(J),l(Ht),l(Lt),l(wt),l(Q),l(Mt),l(gt),l(X),l(At),l(Y),l(Pt),l(Z),l(Et),l(Rt),l(jt),l(ee),l(kt),l(Dt),l(le),l(Kt),l(ie),l(Ot),l(re),l(Bt),l(qt),l(It),l(se),l(zt),l(Nt),l(ae),l(Ut),l(de),l(St),l(ce),l(Vt),l(ue),l(Gt),l(Ft),l(Jt),l(ne),l(Qt),l(Wt),l(fe),l(Xt),l(me),l(Yt),l(be),l(Zt),l(el),l(tl),l(he),l(ll),l(il),l($e),l(rl),l(Te),l(sl),l(ye),l(ol),l(al),l(dl),l(xe),l(cl),l(ul),l(Ce),l(nl),l(He),l(pl),l(fl),l(ml),l(Le),l(bl),l(hl),l(Me),l(vl),l($l),l(Tl),l(ge),l(yl),l(xl),l(Pe),l(_l),l(Ee),l(Cl),l(Re),l(Hl),l(je),l(Ll),l(wl),l(Ml),l(gl),l(Ke)),l($),h(y,e),h(L,e),h(A,e),h(k,e),h(q,e),h(V,e),h(W,e),h(te,e),h(oe,e),h(pe,e),h(ve,e),h(_e,e),h(we,e),h(Ae,e),h(ke,e)}}}const Mi='{"title":"utils/core","local":"utilscore","sections":[{"title":"utils/core.Callable : <code> * </code>","local":"utilscorecallable--code--code","sections":[],"depth":2},{"title":"utils/core.reverseDictionary(data) ⇒ <code> Object </code>","local":"utilscorereversedictionarydata--code-object-code","sections":[],"depth":2},{"title":"utils/core.escapeRegExp(string) ⇒ <code> string </code>","local":"utilscoreescaperegexpstring--code-string-code","sections":[],"depth":2},{"title":"utils/core.isTypedArray(val) ⇒ <code> boolean </code>","local":"utilscoreistypedarrayval--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>","local":"utilscoreisintegralnumberx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.exists(x) ⇒ <code> boolean </code>","local":"utilscoreexistsx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>","local":"utilscorecalculatedimensionsarr--code-array--number--code","sections":[],"depth":2},{"title":"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>","local":"utilscorepopobj-key-defaultvalue--code--code","sections":[],"depth":2},{"title":"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>","local":"utilscoremergearraysarrs--code-array-code","sections":[],"depth":2},{"title":"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>","local":"utilscorecalculatereflectoffseti-w--code-number-code","sections":[],"depth":2},{"title":"utils/core~Callable","local":"utilscorecallable","sections":[{"title":"new Callable()","local":"new-callable","sections":[],"depth":3},{"title":"callable._call(...args)","local":"callablecallargs","sections":[],"depth":3}],"depth":2}],"depth":1}';function gi(Pl){return yi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ri extends xi{constructor($){super(),_i(this,$,gi,wi,$i,{})}}export{Ri as component};
